import initAppConfig from "../../constant/config"
import llm from "../../utils/llm"
import { cleanLLMRes } from "../../utils/llm/base"

await initAppConfig()

const res = await llm.invoke(
  "summaryWeb",
  {
    description: "这是个不错的博客！",
    content:
      "RainSun 时光日记 主页 归档 分类 标签 关于 | Alpine 系统命令记录 VSCode远程链接安装必要的依赖\napk add gcompat libstdc++ curl bash git bash bash-doc bash-completion\n安装sshd\napk add openssh nano\n修改配置\nnano /etc/ssh/sshd_config\n添加如下内容\nPermitRootLogin yes\nAllowTcpForwarding yes\nPermitTunnel yes\n添加私钥并将公钥写入 2023-04-12 系统 linux system linux Alpine Gitlab相关 Gitlab 安装升级操作指令集https://blog.csdn.net/qq_43626147/article/details/109160229\nhttps://cloud.tencent.com/developer/article/1622317\n安装Gitlab安装必要依赖yum -y install curl policycoreutils policycoreutils-python openssh-server openssh-clients postfix\npostfix是发送邮件用的，需要配置一下，编辑文件/etc/postfix/main.cfinet_interfaces=all\ninet_protocols=all修改完执行\nsystemctl start postfix\nsystemctl enable postfix\n配置yum源curl -sS https://packages.gitlab.com/install/repositories/gitlab/gitlab-ce/script.rpm.sh | sudo bash\n然后去清华官网下载对应版本的 2022-05-30 系统 gitlab gitlab 工具 Mega 用户认证加密系统 Mega 用户认证加密系统文件下载https://assets.lacus.site/Document/SecurityWhitepaper.pdf\nTODO\nMethod to Protect Passwords in Databases for Web Applications 注册过程密码评分密码使用 ZXCVBN password strength estimator library (v4.4.2), 进行密码评分，评分结果在0-4之间\n密码至少需要有八位，因为即使过短的密码也可能获取到1的评分\n针对评分需要给用户合适的提醒\nLength < 8 Too short\nScore 0 and Length >= 8 Too weak\nScore 1 and Length >= 8 Weak\nScore 2 and Length >= 8 Medium\nScore 3 and Length >= 8 Good\nScore 4 and Length >= 8 Strong密码处理Password Processing Function (PPF 2022-03-09 系统 Mega用户认证加密系统 Mega 登录 加密 小爱课程表开发者插件使用教程 小爱课程表开发者插件使用教程首先非常感谢您能够参与本次的新版开发者平台的内测。\n该教程已经迁移至\nhttps://open-schedule-prod.ai.xiaomi.com/docs/#/help/ 2021-12-14 工具 开发者插件 小爱课程表 小工具笔记 从requirements.txt更新python包安装pip install pip-upgrader\n用法激活您的virtualenv（这很重要，因为它还将在当前virtualenv中安装新版本的升级软件包）。\ncd进入您的项目目录，然后运行：\npip-upgrade\n高级用法如果需求放置在非标准位置，请将其作为参数发送：\npip-upgrade path/to/requirements.txt如果您已经知道要升级的软件包，只需将它们作为参数发送：\npip-upgrade -p django -p celery -p dateutil如果您需要升级到发行前/发行后版本，请添加 –prerelease请在命令中参数。 –skip-virtualenv-check (install the packages anyway)–skip-package-installation (don’t install any package. just update the requirements file(s)) 2021-09-26 工具 工具 frp内网穿透简单配置 frp 内网穿透家里宽带80和443端口被封掉了\n手里恰好有一台只部署了mongodb的阿里云vps，装一下frp顶一下\nTips服务端是公网VPS，客户端是需要穿透出去的机器\n这个流程针对两边都是linux系统\nfrps 服务端执行下方shell开启脚本(阿里云镜像)\nwget https://code.aliyun.com/MvsCode/frps-onekey/raw/master/install-frps.sh -O ./install-frps.sh\nchmod 700 ./install-frps.sh\n./install-frps.sh install\nshell来源：https://github.com/MvsCode/frps-onekey 跟着引导一步一步走就行，都用默认就好，回车走到底 里边会有http和https的端口设置，如果这两个端口没被占用就直接回车，要是被占用了就得换一个查看当前端口占用情况：netstat -ntlp 安装完了会看到这个\n==============================================\nYou Serv 2021-03-26 系统 frp frp 你不知道的JavaScript（中）学习笔记 类型和语法类型内置类型JS有七种内置类型空值(null)、未定义(undefined)、布尔值(boolean)、数字(Number)、字符串(String)、对象(Object)、符号(Symbol)\ntypeof检测null会得到”object”, 使用(!a && typeof a === 'object')即可得到正确的结果\ntypeof检测函数会得到”function” ，但是函数是object的子类型，具体来说函数是“可调用对象”。\ntypeof检测数组会得到”object”，数组也是object的子类型。\n值和类型JS的变量是没有类型的，只有值才有，变量可以随时持有任何类型的值\n对于未定义变量的检测typeof检测对于未定义变量也返回undefined，这个机制可以帮助我们检测一个全局变量是否存在\nif (a) { ... // ReferenceError: a is not defined\n} if (typeof a !== undefined) { ... // OK\n}\n值数组创建的”稀疏数组”中的空白单元会表现 2021-03-03 语言 js js 基础 rocket-chat部署流程 rocket-chat部署流程前言巧合之下看到了一位UP的视频讲到了这个，和之前我一直很想写的聊天室很相似，功能也十分完善，所以打算本地部署一下试试，表示真香 本流程仅学习使用，正式对外服务需要进行备案，请谨慎 使用docker部署rocket-chat依赖mongodb，并且使用 MongoDB replica set 来提高效率\n新创建的mongodb容器打算只为rocket-chat服务，需要建立一个新的网桥，因为使用Docker DNS Server进行通信，所以也没必要指定网桥的网段\ndocker network create --driver bridge rocketchat经过测试，太高版本的mongodb没办法执行官方给的MongoDB replica set设置代码，最终将mongodb的版本确定为3.4\n启动mongodb容器(注意更改路径)\ndocker run \\ --name mongo \\ -v .../path/to/data/db:/data/db \\ -v .../path/to/data/dump:/data/dump \\ < 2021-01-18 系统 rocket-chat rocket-chat mongoDB学习分享 MongoDBMongoDB简介2007年10月，MongoDB由10gen团队所发展。2009年2月首度推出\nMongoDB是由C++语言编写的，是一个基于分布式文件存储的开源和文档数据库系统，属于NoSQL。其数据存储形式为文档，数据结构由Key-Value键值组成\nMongoDB数据库按粒度从小到大由文档(document)、集合(collection)和数据库(database)三部分组成\n主要特点\n非关系型数据库，面向文档存储，基于文档数据模型（document data model）\nBSON（Binary JSON）格式存储数据，类似于JSON\n无架构（schema-less），可灵活扩展，存储和查询方便\n支持索引和次级索引(secondary indexes): 次级索引是指文档或row有一个 主键(primary key)作为索引，同时允许文档或row内部还拥有一个索引（通过B-tree实现），提升查询的效率\n可扩展性，采用低成本的横向扩展模式\n高可用\n高性能 缺点：聚合查询比较麻烦、不支持JOIN多表关联查询、不支持事物、没有严格的范式（主外键）约束、数据占用空间 2020-12-11 数据库 mongoDB 数据库 mongoDB 前端面试题总结 百度提前批面试一面如何清除浮动链接\n给浮动元素的父元素添加高度\nclear:both;\n伪元素清除浮动\n给父元素使用overflow:hidden;\nbr标签清浮动\npx、em、rem说一下？em：相对于父级的字体大小\nrem: 相对于根节点的字体大小\n浏览器默认字体大小16px\n如何实现一个元素水平、垂直居中position 然后改margin\nposition 然后transform:translate(-50%,-50%);\nposition 上下左右定位0，然后margin:auto;\nflex\n单行文字：height撑满text-align:center;\nCSS选择第一个元素、最后一个元素、3的整数倍子元素伪类选择器链接 n\n2n+1\n4n+1\n4n+4\n4n\n5n-2\n-n+3 0\n1\n1\n4\n-\n-\n3 1\n3\n5\n8\n4\n3\n2 2\n5\n9\n12\n8\n8\n1 3\n7\n13\n16\n12\n13\n- 4\n9\n17\n20\n16\n18\n- 5\n11\n21\n24\n20\n23\n- 说一下伪类和伪元素的区别链接\n官方文档\n“伪元素”和“伪类”都带一 2020-10-07 面试 题库 面试 js 基础 123…5 搜索 关键词 Hexo Fluid 总访问量 次 总访客数 人 吉ICP备18005655号 | 吉公网安备 22010202000634号",
  },
  "test",
  1
)

console.log(cleanLLMRes(res as string))
